diff -Nru old/lib/x86_64-linux-gnu/tnsr/clispec/frr_route_map_rule.cli new/lib/x86_64-linux-gnu/tnsr/clispec/frr_route_map_rule.cli
--- old/lib/x86_64-linux-gnu/tnsr/clispec/frr_route_map_rule.cli	2023-10-30 18:07:45.000000000 +0000
+++ new/lib/x86_64-linux-gnu/tnsr/clispec/frr_route_map_rule.cli	2023-10-30 18:13:16.000000000 +0000
@@ -250,7 +250,7 @@
     }
 
     local-preference("Local preference")
-	<local-pref:uint32>("Preference value"),
+	<local-pref:string>("Local preference value"),
 	    tnsr_cli_set("/netgate-route:route-config/dynamic/netgate-frr:route-maps/map=%s/rules/rule=%s/set/local-preference");
 
     metric("Metric") {
diff -Nru old/usr/share/tnsr/yang/netgate-frr.yang new/usr/share/tnsr/yang/netgate-frr.yang
--- old/usr/share/tnsr/yang/netgate-frr.yang	2023-10-29 18:01:14.000000000 +0000
+++ new/usr/share/tnsr/yang/netgate-frr.yang	2023-10-29 21:27:43.000000000 +0000
@@ -551,7 +551,7 @@
 			    }
 
 			    leaf local-preference {
-				type uint32;
+				type string;
 				description
 				    "The local preference value is matched.";
 				ngcliext:node-fmt "$< $% @@$n";
@@ -780,12 +780,15 @@
 			    }
 
 			    leaf local-preference {
-				type uint32;
-				description
-				    "Set the local preference attribute to
-				     this value.";
+                                type string {
+                                        pattern "([\+|\-]?[0-9]+)";
+                                }
+                                description
+                                    "Set the local preference attribute to
+                                     this value. Optionally add or subtract the value.";
 				ngcliext:node-fmt "$< $% @@$n";
-			    }
+                            }
+	
 
 			    container metric {
 				description
diff -Nru old/usr/share/yang/frr-bgp-common.yang new/usr/share/yang/frr-bgp-common.yang
--- old/usr/share/yang/frr-bgp-common.yang	2023-10-30 09:44:36.000000000 +0000
+++ new/usr/share/yang/frr-bgp-common.yang	2023-10-30 09:44:59.000000000 +0000
@@ -340,7 +340,7 @@
     }
 
     leaf local-pref {
-      type uint32;
+      type string;
       default "100";
       description
         "BGP local preference attribute sent to internal peers to
diff -Nru old/usr/share/yang/frr-bgp-route-map.yang new/usr/share/yang/frr-bgp-route-map.yang
--- old/usr/share/yang/frr-bgp-route-map.yang	2023-10-30 09:30:02.000000000 +0000
+++ new/usr/share/yang/frr-bgp-route-map.yang	2023-10-30 09:30:23.000000000 +0000
@@ -376,9 +376,7 @@
     case local-preference {
       when "derived-from-or-self(/frr-route-map:lib/frr-route-map:route-map/frr-route-map:entry/frr-route-map:match-condition/frr-route-map:condition, 'frr-bgp-route-map:match-local-preference')";
       leaf local-preference {
-        type uint32 {
-          range "0..4294967295";
-        }
+        type string; 
       }
     }
 
